Intermittent browser_bug1108547.js | Test timed out

RESOLVED FIXED in Firefox 51

Status

()

Core
Networking: DNS
P3
normal
RESOLVED FIXED
3 years ago
a year ago

People

(Reporter: philor, Assigned: Away for a while)

Tracking

({intermittent-failure, regression})

Trunk
mozilla53
x86_64
Linux
intermittent-failure, regression
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox50 wontfix, firefox51 fixed, firefox52 fixed, firefox53 fixed)

Details

(Whiteboard: [necko-active])

Attachments

(1 attachment)

Comment hidden (empty)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 3

3 years ago
This just looks like a terrible test machine. The test starts at 16:10:20, then at 16:11:07 it actually opens a new window and starts issuing TEST-PASS notifications. As soon as it returns to the event loop the timeout timer executes and declares that the test has timed out.
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 296

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-aurora: 2
* b2g-inbound: 2
* fx-team: 1

Platform breakdown:
* linux64: 5
* linux32: 2

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 297

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* b2g-inbound: 2
* try: 1

Platform breakdown:
* linux32: 4
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2015-10-12&endday=2015-10-18&tree=all

Comment 298

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* b2g-inbound: 4
* try: 2
* mozilla-aurora: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 10
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 299

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* b2g-inbound: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* linux64: 7
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2015-10-26&endday=2015-11-01&tree=all

Comment 300

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-aurora: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 4
* linux32: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2015-11-02&endday=2015-11-08&tree=all
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* autoland: 4
* fx-team: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* windows8-64: 14
* windows7-32: 8
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-08-15&endday=2016-08-21&tree=all
25 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 12
* mozilla-inbound: 9
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* windows7-32: 12
* windows8-64: 10
* windows7-32-vm: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 303

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* fx-team: 2
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows7-32-vm: 5
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-08-29&endday=2016-09-04&tree=all
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 4
* mozilla-central: 3
* fx-team: 2

Platform breakdown:
* windows7-32-vm: 10
* osx-10-10: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-09-05&endday=2016-09-11&tree=all
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* try: 1

Platform breakdown:
* windows7-32-vm: 6
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-09-19&endday=2016-09-25&tree=all
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 3
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* windows8-64: 3
* windows7-32-vm: 3
* osx-10-10: 3
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-09-26&endday=2016-10-02&tree=all
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 7
* autoland: 5
* mozilla-inbound: 3
* fx-team: 1

Platform breakdown:
* windows8-64: 9
* windows7-32-vm: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-10-03&endday=2016-10-09&tree=all
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 4
* autoland: 4
* mozilla-inbound: 2
* mozilla-aurora: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 10
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-10-10&endday=2016-10-16&tree=all
22 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 7
* mozilla-inbound: 6
* mozilla-central: 3
* mozilla-aurora: 3
* try: 2
* fx-team: 1

Platform breakdown:
* windows7-32-vm: 13
* windows8-64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-10-17&endday=2016-10-23&tree=all
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 7
* mozilla-inbound: 3
* try: 2
* mozilla-aurora: 2

Platform breakdown:
* windows7-32-vm: 12
* windows8-64: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-10-24&endday=2016-10-30&tree=all
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 8
* mozilla-central: 4
* mozilla-aurora: 4

Platform breakdown:
* windows8-64: 17
* windows7-32-vm: 9
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-10-31&endday=2016-11-06&tree=all
45 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 17
* mozilla-inbound: 16
* mozilla-central: 5
* mozilla-aurora: 5
* try: 2

Platform breakdown:
* windows8-64: 32
* windows7-32-vm: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-11-07&endday=2016-11-13&tree=all
31 failures in 715 pushes (0.043 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 12
* autoland: 8
* mozilla-aurora: 7
* mozilla-beta: 3
* try: 1

Platform breakdown:
* windows8-64: 21
* windows7-32-vm: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-11-14&endday=2016-11-20&tree=all
42 failures in 623 pushes (0.067 failures/push) were associated with this bug in the last 7 days. 

This is the #35 most frequent failure this week. 

Repository breakdown:
* mozilla-aurora: 15
* mozilla-inbound: 11
* mozilla-beta: 8
* mozilla-central: 4
* autoland: 4

Platform breakdown:
* windows8-64: 27
* windows7-32-vm: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-11-21&endday=2016-11-27&tree=all
44 failures in 694 pushes (0.063 failures/push) were associated with this bug in the last 7 days. 

This is the #23 most frequent failure this week. 

Repository breakdown:
* autoland: 14
* mozilla-inbound: 10
* mozilla-aurora: 9
* mozilla-central: 7
* mozilla-beta: 3
* try: 1

Platform breakdown:
* windows8-64: 24
* windows7-32-vm: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-11-28&endday=2016-12-04&tree=all
15 failures in 289 pushes (0.052 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week. 

Repository breakdown:
* mozilla-inbound: 7
* mozilla-aurora: 3
* mozilla-central: 2
* autoland: 2
* mozilla-beta: 1

Platform breakdown:
* windows8-64: 9
* windows7-32-vm: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-12-05&endday=2016-12-11&tree=all
20 failures in 526 pushes (0.038 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 8
* mozilla-inbound: 4
* autoland: 4
* mozilla-central: 2
* mozilla-beta: 2

Platform breakdown:
* windows8-64: 12
* windows7-32-vm: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-12-12&endday=2016-12-18&tree=all
15 failures in 132 pushes (0.114 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 2
* mozilla-aurora: 2
* try: 1

Platform breakdown:
* windows8-64: 11
* windows7-32-vm: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-12-22&endday=2016-12-22&tree=all
32 failures in 609 pushes (0.053 failures/push) were associated with this bug in the last 7 days. 

This is the #23 most frequent failure this week. 

Repository breakdown:
* mozilla-inbound: 10
* autoland: 9
* mozilla-aurora: 5
* mozilla-central: 4
* try: 2
* mozilla-beta: 2

Platform breakdown:
* windows8-64: 20
* windows7-32-vm: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-12-19&endday=2016-12-25&tree=all
this has been picking up frequency the last few weeks, the majority are win8 opt or win7-vm debug- all in e10s mode specifically.

looking a failure case in a log [0], I see some error messages:
01:46:49     INFO - TEST-UNEXPECTED-FAIL | dom/html/test/browser_bug1108547.js | Test timed out - 
01:46:49     INFO - MEMORY STAT | vsize 571MB | vsizeMaxContiguous 474MB | residentFast 210MB | heapAllocated 70MB
01:46:49     INFO - TEST-OK | dom/html/test/browser_bug1108547.js | took 90145ms
01:46:49     INFO - Not taking screenshot here: see the one that was previously logged
01:46:49     INFO - TEST-UNEXPECTED-FAIL | dom/html/test/browser_bug1108547.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/dom/html/test/file_bug1108547-3.html - 
01:46:49     INFO - ++DOCSHELL 07E0D000 == 3 [pid = 5476] [id = {1eec7932-4e9b-40cd-b812-542b4880e74e}]
01:46:49     INFO - ++DOMWINDOW == 5 (07E10800) [pid = 5476] [serial = 74] [outer = 00000000]
01:46:49     INFO - TEST-UNEXPECTED-FAIL | unknown test url | uncaught exception - TypeError: BrowserTestUtils is null at onNewTabOpened2@chrome://mochitests/content/browser/dom/html/test/browser_bug1108547.js:97:5
01:46:49     INFO - addTab@chrome://browser/content/tabbrowser.xml:2276:13
01:46:49     INFO - Tester_waitForWindowsState@chrome://mochikit/content/browser-test.js:298:20
01:46:49     INFO - Tester.prototype.nextTest<@chrome://mochikit/content/browser-test.js:569:5
01:46:49     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:319:42
01:46:49     INFO - promise callback*TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:396:7
01:46:49     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
01:46:49     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:7
01:46:49     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
01:46:49     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
01:46:49     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
01:46:49     INFO - timeoutFn@chrome://mochikit/content/browser-test.js:819:9
01:46:49     INFO - setTimeout handler*SimpleTest_setTimeoutShim@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:625:12
01:46:49     INFO - timeoutFn@chrome://mochikit/content/browser-test.js:797:13
01:46:49     INFO - setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:781:9
01:46:49     INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:657:7
01:46:49     INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:744:59
01:46:49     INFO - JavaScript error: chrome://mochitests/content/browser/dom/html/test/browser_bug1108547.js, line 97: TypeError: BrowserTestUtils is null
01:46:49     INFO - checking window state
01:46:49     INFO - ++DOMWINDOW == 6 (08626800) [pid = 5476] [serial = 75] [outer = 07E10800]
01:46:49     INFO - Console message: [JavaScript Error: "TypeError: BrowserTestUtils is null" {file: "chrome://mochitests/content/browser/dom/html/test/browser_bug1108547.js" line: 97}]


:ehsan, can you take a look at this, normally this runs in <15seconds, so I don't think we need to make the timeout longer.



[0] https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-inbound-win32-debug/1482647857/mozilla-inbound_win7_vm-debug_test-mochitest-e10s-browser-chrome-5-bm138-tests1-windows-build40.txt.gz
Flags: needinfo?(ehsan)
(Reporter)

Comment 323

a year ago
Win8 is hardware, and it has hardly ever happened twice on the same machine; Win7 is AWS instances, where "the same one" is an even sketchier concept, but again it's not just a few consistently failing.

A much better bet would be to bet on some other previous test (either newly added, or newly moved into the same chunk) intermittently leaving the browser in offline mode.
(Assignee)

Comment 324

a year ago
The only tests running before this are dom/html/test/browser_bug1081537.js and dom/html/test/browser_DOMDocElementInserted.js and neither is doing anything related to the offline mode.  I also set a breakpoint on nsIOService::SetOffline to verify that this isn't called with a true argument in either processes during the test...
in looking at this, I don't see any patterns on machines or other information about what tests are running prior to this.  The test runs very stable for me locally.

What would trigger the browser to get offline?  Would some event at the OS level do it?  A preference?  something else?
Flags: needinfo?(jmaher)
(Assignee)

Comment 326

a year ago
(In reply to Joel Maher ( :jmaher) from comment #325)
> What would trigger the browser to get offline?  Would some event at the OS
> level do it?  A preference?  something else?

Who can say...  I pushed a try job <https://treeherder.mozilla.org/#/jobs?repo=try&revision=824359c7864ba41e9f5ab16d983782a3462ef132> which crashes the browser when someone puts us in offline mode in the hopes of getting a stack trace...  Will report back when I know more.
Flags: needinfo?(ehsan)
(Assignee)

Comment 327

a year ago
On my try push I got a few oranges, but the assertion wasn't triggered, which means we are not really in offline mode!

Seeing the error page however indicates that something is canceling the channel with NS_ERROR_OFFLINE...  Usually that status code is used when we detect the IO service being in offline mode, but I'll add some printfs to the places where we raise this error to see if I can find out anything more.
(Assignee)

Comment 328

a year ago
Here is where the NS_ERROR_OFFLINE comes from: <http://searchfox.org/mozilla-central/rev/51aa673e28802fe6ea89f4793721fc55334a6ac8/netwerk/dns/nsDNSService2.cpp#758>

https://archive.mozilla.org/pub/firefox/try-builds/eakhgari@mozilla.com-0976748241e7c1f4bfb3f25c65ca79c530ab82b2/try-win32-debug/try_win7_vm-debug_test-mochitest-e10s-browser-chrome-5-bm128-tests1-windows-build468.txt.gz
15:46:04     INFO - #01: mozilla::net::nsSocketTransport::ResolveHost() [netwerk/base/nsSocketTransport2.cpp:1097]
15:46:04     INFO - 
15:46:04     INFO - #02: mozilla::net::nsSocketTransport::OnSocketEvent(unsigned int,nsresult,nsISupports *) [netwerk/base/nsSocketTransport2.cpp:1873]
15:46:04     INFO - 
15:46:04     INFO - #03: mozilla::net::nsSocketEvent::Run() [netwerk/base/nsSocketTransport2.cpp:87]
15:46:04     INFO - 
15:46:04     INFO - #04: nsThread::ProcessNextEvent(bool,bool *) [xpcom/threads/nsThread.cpp:1213]
15:46:04     INFO - 
15:46:04     INFO - #05: NS_ProcessNextEvent(nsIThread *,bool) [xpcom/glue/nsThreadUtils.cpp:381]
15:46:04     INFO - 
15:46:04     INFO - #06: mozilla::net::nsSocketTransportService::Run() [netwerk/base/nsSocketTransportService2.cpp:956]
15:46:04     INFO - 
15:46:04     INFO - #07: nsThread::ProcessNextEvent(bool,bool *) [xpcom/threads/nsThread.cpp:1213]
15:46:04     INFO - 
15:46:04     INFO - #08: NS_ProcessNextEvent(nsIThread *,bool) [xpcom/glue/nsThreadUtils.cpp:381]
15:46:04     INFO - 
15:46:04     INFO - #09: mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate *) [ipc/glue/MessagePump.cpp:338]
15:46:04     INFO - 
15:46:04     INFO - #10: MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:238]
15:46:04     INFO - 
15:46:04     INFO - #11: MessageLoop::RunHandler() [ipc/chromium/src/base/message_loop.cc:232]
15:46:04     INFO - 
15:46:04     INFO - #12: MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:212]
15:46:04     INFO - 
15:46:04     INFO - #13: nsThread::ThreadFunc(void *) [xpcom/threads/nsThread.cpp:469]
15:46:04     INFO - 
15:46:04     INFO - #14: _PR_NativeRunThread [nsprpub/pr/src/threads/combined/pruthr.c:397]
15:46:04     INFO - 
15:46:04     INFO - #15: pr_root [nsprpub/pr/src/md/windows/w95thred.c:95]
15:46:04     INFO - 
15:46:04     INFO - #16: ucrtbase.DLL + 0x3d5ef
15:46:04     INFO - 
15:46:04     INFO - #17: kernel32.dll + 0x53c45
15:46:04     INFO - 
15:46:04     INFO - #18: ntdll.dll + 0x637f5
15:46:04     INFO - 
15:46:04     INFO - #19: ntdll.dll + 0x637c8

Looking at accesses to mResolver, the only thing that can have happened is we calling Shutdown() here: <http://searchfox.org/mozilla-central/rev/51aa673e28802fe6ea89f4793721fc55334a6ac8/netwerk/dns/nsDNSService2.cpp#965>.  This is a regression from bug 909050: when we close the last private window, the DNS resolver clearing may race with name resolution.  Clearly this comment is a lie <http://searchfox.org/mozilla-central/rev/51aa673e28802fe6ea89f4793721fc55334a6ac8/netwerk/dns/nsDNSService2.cpp#956> which doesn't help.

It seems to me that the approach of shutting down the host resolver and re-initing is way too heavy of a hammer.  All we really need to do is flush the DNS cache, I think.
Assignee: nobody → ehsan
Blocks: 909050
Component: DOM → Networking: DNS
Flags: needinfo?(ehsan)
Keywords: regression
status-firefox50: --- → wontfix
status-firefox51: --- → affected
status-firefox52: --- → affected
status-firefox53: --- → affected
Whiteboard: [necko-active]
(Assignee)

Comment 330

a year ago
(In reply to :Ehsan Akhgari from comment #329)
> I'm testing a patch for this on the try server:
> <https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=850532ac39d630b9a1c1cb1cef304de50b22532c>

It seems that the fix works!
(Assignee)

Comment 331

a year ago
Created attachment 8822754 [details] [diff] [review]
Only flush the DNS cache when the last private browsing window is closed
Attachment #8822754 - Flags: review?(mcmanus)
21 failures in 305 pushes (0.069 failures/push) were associated with this bug in the last 7 days. 

This is the #37 most frequent failure this week. 

Repository breakdown:
* autoland: 7
* mozilla-inbound: 6
* mozilla-aurora: 6
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 13
* windows8-64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2016-12-26&endday=2017-01-01&tree=all
Comment on attachment 8822754 [details] [diff] [review]
Only flush the DNS cache when the last private browsing window is closed

Review of attachment 8822754 [details] [diff] [review]:
-----------------------------------------------------------------

thank you!
Attachment #8822754 - Flags: review?(mcmanus) → review+

Comment 334

a year ago
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a2059d25a0ae
Only flush the DNS cache when the last private browsing window is closed; r=mcmanus
(Reporter)

Comment 335

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a2059d25a0ae
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox53: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
Please request Aurora (and Beta if the risk isn't too high) approval on this when you get a chance.
Flags: needinfo?(ehsan)
14 failures in 563 pushes (0.025 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 9
* mozilla-beta: 3
* mozilla-central: 2

Platform breakdown:
* windows8-64: 7
* windows7-32-vm: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1128311&startday=2017-01-02&endday=2017-01-08&tree=all
(Assignee)

Comment 338

a year ago
(In reply to OrangeFactor Robot from comment #337)
> 14 failures in 563 pushes (0.025 failures/push) were associated with this
> bug in the last 7 days.  
> 
> Repository breakdown:
> * mozilla-aurora: 9
> * mozilla-beta: 3
> * mozilla-central: 2
> 
> Platform breakdown:
> * windows8-64: 7
> * windows7-32-vm: 7
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1128311&startday=2017-01-02&endday=2017-01-08&tree=all

For the record, I looked at the mozilla-central ones here, and they are both coming from revisions before this got merged to central.
Flags: needinfo?(ehsan)
(Assignee)

Comment 339

a year ago
Comment on attachment 8822754 [details] [diff] [review]
Only flush the DNS cache when the last private browsing window is closed

Approval Request Comment
[Feature/Bug causing the regression]: Bug 909050, shipped in Firefox 26. :(
[User impact if declined]: When closing a private browsing window, DNS queries can return an error and prevent the respective content being loaded.  If the content being loaded is a top-level page, we mistakenly show an error page stating that the browser is in offline mode; otherwise random parts of the page may fail loading.
[Is this code covered by automated tests?]: No.  It is "covered" by this intermittent test failure going away though.
[Has the fix been verified in Nightly?]: Yes, see the previous comment.
[Needs manual test from QE? If yes, steps to reproduce]: 
[List of other uplifts needed for the feature/fix]:
[Is the change risky?]:
[Why is the change risky/not risky?]:
[String changes made/needed]:
Attachment #8822754 - Flags: approval-mozilla-beta?
Attachment #8822754 - Flags: approval-mozilla-aurora?
(Assignee)

Comment 340

a year ago
Sorry, submitted my comment too eagerly...

(In reply to :Ehsan Akhgari (in Taipei, laggy response time) from comment #339)
> [Needs manual test from QE? If yes, steps to reproduce]: No.
> [List of other uplifts needed for the feature/fix]: None.
> [Is the change risky?]: No.
> [Why is the change risky/not risky?]: It is pretty well understood, and arguably the fix landed in bug 909050 wasn't the right thing to do in the first place.  I'm pretty comfortable uplifting this all the way to beta.
> [String changes made/needed]: Nada.
Comment on attachment 8822754 [details] [diff] [review]
Only flush the DNS cache when the last private browsing window is closed

fix possible dns errors when closing a pb window, for aurora52 and beta51
Attachment #8822754 - Flags: approval-mozilla-beta?
Attachment #8822754 - Flags: approval-mozilla-beta+
Attachment #8822754 - Flags: approval-mozilla-aurora?
Attachment #8822754 - Flags: approval-mozilla-aurora+

Comment 342

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/6eca9e254f67
status-firefox52: affected → fixed

Comment 343

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/4c1ef5da347e
status-firefox51: affected → fixed
Flags: in-testsuite+
You need to log in before you can comment on or make changes to this bug.